# Uses of Interface
org.w3c.dom.events.EventTarget

Packages that use EventTarget
Package
Description
org.w3c.dom.events
Provides interfaces for DOM Level 2 Events.

## Uses of EventTarget in org.w3c.dom.events

Methods in org.w3c.dom.events that return EventTarget
Modifier and Type
Method
Description
`EventTarget`
Event.`getCurrentTarget()`
Used to indicate the `EventTarget` whose `EventListeners` are currently being processed.
`EventTarget`
MouseEvent.`getRelatedTarget()`
Used to identify a secondary `EventTarget` related to a UI event.
`EventTarget`
Event.`getTarget()`
Used to indicate the `EventTarget` to which the event was originally dispatched.
Methods in org.w3c.dom.events with parameters of type EventTarget
Modifier and Type
Method
Description
`void`
MouseEvent.`initMouseEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg, int screenXArg, int screenYArg, int clientXArg, int clientYArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, short buttonArg, EventTarget relatedTargetArg)`
The `initMouseEvent` method is used to initialize the value of a `MouseEvent` created through the `DocumentEvent` interface.